socket_remote6(3)

NAME
socket_remote6 - get remote IP address of socket

SYNTAX
#include <libowfat/socket.h> int socket_remote6(int s,char ip[16],uint16 *port,uint32 *scope_id);

DESCRIPTION
socket_remote6 returns the remote IPv6 address, port and scope ID for the UDP or TCP socket s and writes the IPv6 address to ip, the port to port and the scope ID to scope_id. If scope_id is the null pointer, socket_remote6 will discard the scope ID. If something goes wrong, socket_remote6 returns -1, setting errno appropriately.

SEE ALSO
socket_accept6(3), socket_local6(3)